Qt 5.6 | Qt 3D | QML Types | PlaneGeometry QML Type

Qt 5.6.3 Reference Documentation

# PlaneGeometry QML Type

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QPlaneGeometry

- List of all members, including inherited members

## Properties

- height : float
- indexAttribute : Attribute
- normalAttribute : Attribute
- positionAttribute : Attribute
- resolution : size
- tangentAttribute : Attribute
- texCoordAttribute : Attribute
- width : float

## Detailed Description

## Property Documentation

height : float

Holds the plane height.

indexAttribute : Attribute

Holds the geometry index attribute.

normalAttribute : Attribute

Holds the geometry normal attribute.

positionAttribute : Attribute

Holds the geometry position attribute.

resolution : size

Holds the plane resolution.

tangentAttribute : Attribute

Holds the geometry tangent attribute.

texCoordAttribute : Attribute

Holds the geometry texture coordinate attribute.

width : float

Holds the plane width.